FullReservesIncentiveData
get
Retrieves full incentive data for all reserves and user positions
Authorizations
AuthorizationstringRequired
Query parameters
contract_addressstringRequired
- Address of the incentive data provider contract
chain_idstringRequired
- Chain ID to target
providerstringRequired
- Address of the pool address provider
userstringRequired
- Address of the user to get incentive data for
Header parameters
AuthorizationstringRequired
- Authorization token from request header
Responses
200
Combined reserves and user incentive data
application/json
Represents the structure of the API response from the AAVE v3 UI Incentive Data Provider.
successbooleanRequired
Indicates whether the API request was successful.
messagestringRequired
A message providing additional information about the API response.
get/aave/v3/incentives/fullReservesIncentiveData
GET /aave/v3/incentives/fullReservesIncentiveData?contract_address=text&chain_id=text&provider=text&user=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200
Combined reserves and user incentive data
{
"success": true,
"message": "text",
"data": {
"reservesIncentiveData": [
{
"underlyingAsset": "text",
"aIncentiveData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"rewardsTokenInformation": [
{
"rewardTokenSymbol": "text",
"rewardTokenAddress": "text",
"rewardOracleAddress": "text",
"emissionPerSecond": null,
"incentivesLastUpdateTimestamp": null,
"tokenIncentivesIndex": null,
"emissionEndTimestamp": null,
"rewardPriceFeed": null,
"rewardTokenDecimals": 1,
"precision": 1,
"priceFeedDecimals": 1
}
]
},
"vIncentiveData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"rewardsTokenInformation": [
{
"rewardTokenSymbol": "text",
"rewardTokenAddress": "text",
"rewardOracleAddress": "text",
"emissionPerSecond": null,
"incentivesLastUpdateTimestamp": null,
"tokenIncentivesIndex": null,
"emissionEndTimestamp": null,
"rewardPriceFeed": null,
"rewardTokenDecimals": 1,
"precision": 1,
"priceFeedDecimals": 1
}
]
},
"sIncentiveData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"rewardsTokenInformation": [
{
"rewardTokenSymbol": "text",
"rewardTokenAddress": "text",
"rewardOracleAddress": "text",
"emissionPerSecond": null,
"incentivesLastUpdateTimestamp": null,
"tokenIncentivesIndex": null,
"emissionEndTimestamp": null,
"rewardPriceFeed": null,
"rewardTokenDecimals": 1,
"precision": 1,
"priceFeedDecimals": 1
}
]
}
}
],
"userReserveIncentiveData": [
{
"underlyingAsset": "text",
"aTokenIncentivesUserData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"userRewardsInformation": [
{
"rewardTokenSymbol": "text",
"rewardOracleAddress": "text",
"rewardTokenAddress": "text",
"userUnclaimedRewards": null,
"tokenIncentivesUserIndex": null,
"rewardPriceFeed": null,
"priceFeedDecimals": 1,
"rewardTokenDecimals": 1
}
]
},
"vTokenIncentivesUserData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"userRewardsInformation": [
{
"rewardTokenSymbol": "text",
"rewardOracleAddress": "text",
"rewardTokenAddress": "text",
"userUnclaimedRewards": null,
"tokenIncentivesUserIndex": null,
"rewardPriceFeed": null,
"priceFeedDecimals": 1,
"rewardTokenDecimals": 1
}
]
},
"sTokenIncentivesUserData": {
"tokenAddress": "text",
"incentiveControllerAddress": "text",
"userRewardsInformation": [
{
"rewardTokenSymbol": "text",
"rewardOracleAddress": "text",
"rewardTokenAddress": "text",
"userUnclaimedRewards": null,
"tokenIncentivesUserIndex": null,
"rewardPriceFeed": null,
"priceFeedDecimals": 1,
"rewardTokenDecimals": 1
}
]
}
}
]
}
}